> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/spotlight-objects-api/spotlight-object/spotlight-topitem.md).

# Spotlight Top Item

The SpotlightTopItem object represents references to the platform objects picked up by `SpotlightQuery`.

`SpotlightTopItem` is used to provide data to the frontend template. It includes both core properties and object-specific properties. Spotlight operates as a service that is object-agnostic, meaning it does not maintain the schema of domain objects.&#x20;

The `SpotlightTopItem` contract is a result of a downstreamed RQL query and is utilized as is in a JSON string. This indicates that the list of properties is object-specific and may change depending on the RQL query executed.

<table><thead><tr><th width="290">Field</th><th width="127">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The core unique identifier for each item.</td></tr><tr><td><code>href</code></td><td>string</td><td>A relative reference to object on API.</td></tr><tr><td><code>{object-specific-properties}</code></td><td> </td><td>List of object specific properties, as a result of downstreamed RQL query.</td></tr></tbody></table>

## Example

{% code title="SPOTLIGHT TOP ITEM OBJECT" overflow="wrap" lineNumbers="true" %}

```json
{
  "id": "ORD-6637-5331-9984",
  "audit": {
    "updated": {
      "at": "2024-05-28T09:00:22.945Z"
    }
  },
  "icon": "/public/v1/catalog/products/PRD-6523-2229/icon",
  "name": "Order ORD-8373-6076-7130"
}   
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/spotlight-objects-api/spotlight-object/spotlight-topitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
